> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tightknit.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Introspect current API key

> Returns information about the authenticated API key, including its type, associated community, and granted permissions.



## OpenAPI

````yaml https://api.tightknit.ai/doc-mintlify get /admin/v0/api_key/me
openapi: 3.1.0
info:
  version: 0.0.0
  title: Tightknit OpenAPI
servers:
  - url: https://api.tightknit.ai
    description: Production server
security:
  - Bearer: []
paths:
  /admin/v0/api_key/me:
    get:
      tags:
        - API Keys
      summary: Introspect current API key
      description: >-
        Returns information about the authenticated API key, including its type,
        associated community, and granted permissions.
      responses:
        '200':
          description: API key introspection data
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  data:
                    type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - standard
                          - legacy
                          - internal
                      tenant:
                        type: string
                      permissions:
                        type: array
                        items:
                          type: string
                    required:
                      - type
                      - tenant
                      - permissions
                required:
                  - success
                  - data
        '403':
          description: Returns a Forbidden error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      hint:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - success
                  - error
        '500':
          description: Returns an Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      hint:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - success
                  - error
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

## Related topics

- [API Keys](/integrations/api-keys.md)
- [Introduction](/api-reference/introduction.md)
- [CLI & MCP Server](/integrations/cli.md)
- [Slack SSO with Auth0](/guides/slack-sso-external-idp.md)
- [Studio](/studio/overview.md)
